<template>
  <div class="st_coolection_cont">
    <div class="st_coolection">
    <a-form>
      <a-button type="link" @click="returnJh">{{stRiskScenario.scenarioNo}}</a-button>
     {{ stRiskScenario.scenarioName }}
      <a-button type="link" @click="returnUpper">上一级</a-button>
    </a-form>
    <StScenarioEventItemList :stRiskScenario="stRiskScenario" ref="defaultCitemRef" ></StScenarioEventItemList>
    </div>
  </div> 
</template>
<script lang="ts" setup>
  import { ref } from 'vue';
import StScenarioEventItemList from './StScenarioEventItemList.vue';
  const defaultCitemRef = ref(null)
  
  const props = defineProps({
    stRiskScenario: {}
  });
  const counts = ref({
    risk: 0,
    problem: 0,
    item: 0,
  })
  const emit = defineEmits(['callBack']);
  function returnJh() {
    emit('callBack',props.stRiskScenario)
   }
   function returnUpper() {
    emit('callBack')
   }
  
   function initActiveKey(scenarioNo) {
      initItemList(scenarioNo)
   }
   
   function initItemList(scenarioNo){
      defaultCitemRef.value?.setProps({searchInfo:{scenarioNo:scenarioNo}});
      defaultCitemRef.value?.reload()
   }
  //  watch(
  //   ()=>props.complianeInfoRecord,
  //   (newVal,oldVla)=>{
  //     console.log("item")
  //     console.log(newVal)
  //     // 监管处理
  //     if(newVal.complianeClass == 3){
  //       onlyFlay.value = 2
  //     }else if(newVal.complianeClass == 4) {
  //       onlyFlay.value = 3
  //     }
  //     console.log(oldVla)
  //     console.log("item")
  //   },
  // )
  defineExpose({initActiveKey})
</script>
<style scoped>
.st_coolection_cont {
  padding: 10px;
}
.st_coolection {
  padding: 12px 10px 6px 10px;
  margin-bottom: 8px;
  background-color: #fff;
  border-radius: 2px;
}
</style>